Subject: Re: [PATCH] t0613: mark as leak-free

From: Rubén Justo <[email-masked]>
Date: Mon, 1 Jul 2024 21:35:56 +0200

On Sun, Jun 30, 2024 at 11:57:59PM -0400, Jeff King wrote:
> On Sun, Jun 30, 2024 at 08:46:38AM +0200, Rubén Justo wrote:
> 
> > We can mark t0613 as leak-free:
> > [...]
> > I'm not sure why this simple change has fallen through the cracks.
> > Therefore, it's possible that I'm missing something.
> > 
> > I'd appreciate if someone could double-check.
> 
> I'd noticed it, too, while doing recent leak fixes. But since Patrick
> has been working on leaks and is the go-to person for reftables, I
> assumed he had already seen it and there was something clever going on. ;)
> 
> I also get a passing result from t0612 (and I do have JGit available, so
> it actually runs the tests).

I have no idea how JGit works, and I didn't have it installed either. 
But after a quick test, I can confirm that t0612 can also be marked as
leak-free.

I'll respond to this message shortly with a patch to fix that.

> 
> I also get funny results from t4255, but I think we can ignore them.
> It's known breakages vanishing, which I guess is just some sub-program
> returning failure due to a leak and changing the test results.
> 
> So anyway, this patch looks good to me, but probably we could squash
> t0612 into it, as well.
> 
> -Peff

Thank you!